From fb8f52f21d0700ad7b037ee097fc1b24cb2ddf9e Mon Sep 17 00:00:00 2001
From: Andres Freund <andres@anarazel.de>
Date: Fri, 25 Mar 2022 13:44:48 -0700
Subject: [PATCH v10 07/16] meson: prereq: unicode: Allow to specify output
 directory

Author: Andres Freund <andres@anarazel.de>
Author: Peter Eisentraut <peter@eisentraut.org>
Author: nbyavuz <byavuz81@gmail.com>
---
 .../unicode/generate-unicode_norm_table.pl    | 19 +++++++++++++------
 1 file changed, 13 insertions(+), 6 deletions(-)

diff --git a/src/common/unicode/generate-unicode_norm_table.pl b/src/common/unicode/generate-unicode_norm_table.pl
index e4423455fc2..95c89282bb3 100644
--- a/src/common/unicode/generate-unicode_norm_table.pl
+++ b/src/common/unicode/generate-unicode_norm_table.pl
@@ -10,20 +10,27 @@
 
 use strict;
 use warnings;
+use Getopt::Long;
 
 use FindBin;
 use lib "$FindBin::RealBin/../../tools/";
 use PerfectHash;
 
-my $output_table_file = "unicode_norm_table.h";
-my $output_func_file  = "unicode_norm_hashfunc.h";
+my $output_path = '.';
+
+GetOptions(
+	'outdir:s'       => \$output_path);
+
+my $output_table_file = "$output_path/unicode_norm_table.h";
+my $output_func_file  = "$output_path/unicode_norm_hashfunc.h";
+
 
 my $FH;
 
 # Read list of codes that should be excluded from re-composition.
 my @composition_exclusion_codes = ();
-open($FH, '<', "CompositionExclusions.txt")
-  or die "Could not open CompositionExclusions.txt: $!.";
+open($FH, '<', "$output_path/CompositionExclusions.txt")
+  or die "Could not open $output_path/CompositionExclusions.txt: $!.";
 while (my $line = <$FH>)
 {
 	if ($line =~ /^([[:xdigit:]]+)/)
@@ -38,8 +45,8 @@ close $FH;
 # and character decomposition mapping
 my @characters     = ();
 my %character_hash = ();
-open($FH, '<', "UnicodeData.txt")
-  or die "Could not open UnicodeData.txt: $!.";
+open($FH, '<', "$output_path/UnicodeData.txt")
+  or die "Could not open $output_path/UnicodeData.txt: $!.";
 while (my $line = <$FH>)
 {
 
-- 
2.37.0.3.g30cc8d0f14

